/* CHECKBOX PERSONALIZZATO */
/* Customize the label (the container) */
.check-container {
  display: block;
  position: relative;
  padding-left: 22px;
  /*margin-bottom: 12px;*/
  cursor: pointer;
  font-size: 18px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.check-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.check-checkmark {
  position: absolute;
  top: 4px;
  left: 0;
  height: 20px;
  width: 20px;
  border: 2px solid var(--verde);
  /*background-color: #bbb;*/
}

/* On mouse-over, add a grey background color */
.check-container:hover input ~ .check-checkmark {
  background-color: #efefef;
}

/* When the checkbox is checked, add a blue background */
.check-container input:checked ~ .check-checkmark {
  background-color: var(--verde);
  border-color: var(--verde);
}

/* Create the checkmark/indicator (hidden when not checked) */
.check-checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.check-container input:checked ~ .check-checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.check-container .check-checkmark:after {
  left: 5px;
  /*top: 2.5px;*/
  width: 7px;
  height: 12px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/* RADIO BUTTON PERSONALIZZATO */
/* The container */
.radio-container {
    display: inline;
    position: relative;
    padding-left: 28px;
    margin-bottom: 12px;
    cursor: pointer;
    color: #646464;
    font-size: 18px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Hide the browser's default radio button */
.radio-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

/* Create a custom radio button */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 22px;
    width: 22px;
    background-color: #eee;
    border-radius: 50%;
}

/* On mouse-over, add a grey background color */
.radio-container:hover input ~ .checkmark {
    background-color: #ccc;
}

/* When the radio button is checked, add a blue background */
.radio-container input:checked ~ .checkmark {
    background-color: var(--verde);
}

/* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the indicator (dot/circle) when checked */
.radio-container input:checked ~ .checkmark:after {
    display: inline;
}

/* Style the indicator (dot/circle) */
.radio-container .checkmark:after {
    top: 7px;
    left: 7px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: white;
}
